[package]
name = "hub"
version = "0.2.1"
edition = "2024"

[dependencies]
axum = { version = "0.7.4", features = ["ws", "macros"] }
tokio = { version = "1.36.0", features = ["full", "sync"] }
tower-http = { version = "0.5.2", features = ["fs", "cors", "trace"] }
serde = { version = "1.0", features = ["derive"] }
serde_json = "1.0"
tracing = "0.1"
tracing-subscriber = { version = "0.3", features = ["env-filter"] }
uuid = { version = "1.7.0", features = ["v4", "serde"] }
futures = "0.3"
rusqlite = { version = "0.31", features = ["bundled"] }
chrono = "0.4"
base64 = "0.22"
